import Vue from 'vue';
import Router from 'vue-router';
import { Util, AuthGuard } from '@/utils';

Vue.use(Router);

const router = new Router({
    routes: [
                {
            path: '/sample_appindexview/:sample_appindexview?',
            name: 'sample_appindexview',
            beforeEnter: (to: any, from: any, next: any) => {
                const routerParamsName = 'sample_appindexview';
                const params: any = {};
                if (to.params && to.params[routerParamsName]) {
                    Object.assign(params, Util.formatMatrixParse(to.params[routerParamsName]));
                }
                const url: string = 'web/app/web/getappdata';
                const auth: Promise<any> = AuthGuard.getInstance().authGuard(url, params, router);
                auth.then(() => {
                    next();
                }).catch(() => {
                    next();
                });
            },
            meta: {  
                caption: '首页',
                viewType: 'APPINDEX',
                requireAuth: true,
            },
            component: () => import('@pages/sample/app-index-view/app-index-view'),
            children: [
            ]
        },
        {
            path: '/login/:login?',
            name: 'login',
            meta: {  
                caption: '登录',
                viewType: 'login',
                requireAuth: false,
                ignoreAddPage: true,
            },
            beforeEnter: (to: any, from: any, next: any) => {
                router.app.$store.commit('resetRootStateData');
                next();
            },
            component: () => import('@components/login/login'),
        },
        {
            path: '/404',
            component: () => import('@components/404/404')
        },
        {
            path: '/500',
            component: () => import('@components/500/500')
        },
        {
            path: '*',
            redirect: 'sample_appindexview'
        }
    ],
});

export default router;
